[Rainmeter]
Author=jing
Update=1000
BackgroundMode=1
MouseActionCursor=0
MiddleMouseDownAction=!RainmeterDeactivateConfig

[Metadata]
Name=i3 bar
Config=Weather
Description=Shows today weather
Version=1.0.0
License=Creative Commons Attribution-Non-Commercial-Share Alike 3.0

[Variables]
Font=Segoe UI
WhiteColor=255,255,255,255
@include=#SKINSPATH#\i3 bar\Resources\Variables1.txt

[StringStyle]
FontColor=#WhiteColor#
FontFace=#Font#
StringAlign=Center
StringStyle=Normal
AntiAlias=1

::::::::::::::::::::::::::::::
MEASURES
::::::::::::::::::::::::::::::

[MeasureWeatherRSS]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3600
Url=http://xml.weather.com/weather/local/#WeatherCodeLocation#?cc=*&unit=#WeatherUnit#&dayf=6
RegExp="(?siU)<weather ver="(.*)">(.*)<tmp>(.*)</tmp>(.*)<t>(.*)</t>(.*)<icon>(.*)</icon>(.*)<day d="1" t="(.*)" dt="(.*)">(.*)<hi>(.*)</hi>(.*)<low>(.*)</low>(.*)<icon>(.*)</icon>(.*)<t>(.*)</t>(.*)<day d="2" t="(.*)" dt="(.*)">(.*)<hi>(.*)</hi>(.*)<low>(.*)</low>(.*)<icon>(.*)</icon>(.*)<t>(.*)</t>(.*)<day d="3" t="(.*)" dt="(.*)">(.*)<hi>(.*)</hi>(.*)<low>(.*)</low>(.*)<icon>(.*)</icon>(.*)<t>(.*)</t>(.*)"

[MeasureWeatherTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=3

[MeasureWeatherDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=5

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=7
::::::::::::::::::::::::::::::
METER
::::::::::::::::::::::::::::::

[MeterBackground]
Meter=Image
ImageName=bg.png

[MeterBackground1]
Meter=Image
ImageName=bg1.png
Group=Weather
Hidden=1

[MeterIcon]
MeasureName=MeasureWeatherIcon
Meter=IMAGE
X=51
Y=11
Hidden=1
Group=Weather

[MeterDay]
Meter=STRING
X=20
Y=2
FontSize=8
MeterStyle=StringStyle
Antialias=1
Postfix="Today"
Group=Weather
Hidden=1

[MeterTemp]
MeasureName=MeasureWeatherTemp
Meter=STRING
X=61
Y=13
StringAlign="Right"
Postfix="°"
FontSize=12
MeterStyle=StringStyle
Group=Weather
Hidden=1

[MeterOverlayDay]
Meter=Image
W=40
H=8
X=0
Y=6
ImageName=overlay\overlay1-2.png
Group=Weather
Hidden=1

[MeterOverlayTemp]
Meter=Image
W=24
H=10
X=30
Y=20
ImageName=overlay\overlay1-1.png
Group=Weather
Hidden=1

[MeterOpen]
Meter=Image
x=1
y=2
w=121
h=7
SolidColor=0, 190, 233, 0
LeftMouseDownAction=!Execute [!RainmeterShowMeterGroup Weather][!RainmeterHideMeter MeterBackground][!RainmeterHideMeter MeterOpen][!RainmeterRedraw]

[MeterClose]
Meter=Image
x=1
y=34
w=121
h=7
SolidColor=0, 190, 233, 0
LeftMouseDownAction=!Execute [!RainmeterHideMeterGroup Weather][!RainmeterShowMeter MeterBackground][!RainmeterShowMeter MeterOpen][!RainmeterRedraw]
Hidden=1
Group=Weather